# QGListIterator Class Reference

The QGListIterator is an internal class for implementing QListIterator. More...

`#include <qglist.h>`

Inherited by QListIterator.

List of all member functions.

## Protected Members

- QGListIterator ( const QGList & )
- QGListIterator ( const QGListIterator & )
- QGListIterator& operator= ( const QGListIterator & )
- ~QGListIterator ()
- bool atFirst () const
- bool atLast () const
- GCI toFirst ()
- GCI toLast ()
- GCI get () const
- GCI operator ()()
- GCI operator++ ()
- GCI operator+= ( uint )
- GCI operator-- ()
- GCI operator-= ( uint )

## Detailed Description

The QGListIterator is an internal class for implementing QListIterator.

QGListIterator is a strictly internal class that does the heavy work for QListIterator.

## Member Function Documentation

### QGListIterator::QGListIterator ( const QGList & l ) `[protected]`

For internal use only.

### QGListIterator::QGListIterator ( const QGListIterator & it ) `[protected]`

For internal use only.

### QGListIterator::~QGListIterator () `[protected]`

For internal use only.

### bool QGListIterator::atFirst () const `[protected]`

For internal use only.

### bool QGListIterator::atLast () const `[protected]`

For internal use only.

### GCI QGListIterator::get () const `[protected]`

For internal use only.

### GCI QGListIterator::operator() () `[protected]`

For internal use only.

### GCI QGListIterator::operator++ () `[protected]`

For internal use only.

### GCI QGListIterator::operator+= ( uint jumps ) `[protected]`

For internal use only.

### GCI QGListIterator::operator-- () `[protected]`

For internal use only.

### GCI QGListIterator::operator-= ( uint jumps ) `[protected]`

For internal use only.

### QGListIterator & QGListIterator::operator= ( const QGListIterator & it ) `[protected]`

For internal use only.

### GCI QGListIterator::toFirst () `[protected]`

For internal use only.

### GCI QGListIterator::toLast () `[protected]`

For internal use only.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qglist.h: 1998/08/25
- qglist.cpp: 1998/07/03